diff --git a/ldap/servers/slapd/delete.c b/ldap/servers/slapd/delete.c
index 6b7488d..da236fd 100644
--- a/ldap/servers/slapd/delete.c
+++ b/ldap/servers/slapd/delete.c
@@ -43,7 +43,7 @@ do_delete( Slapi_PBlock *pb )
 	char	    *rawdn = NULL;
 	int			err = 0;
 
-	LDAPDebug( LDAP_DEBUG_TRACE, "do_delete\n", 0, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "do_delete\n", 0, 0, 0 );
 	
 	slapi_pblock_get( pb, SLAPI_OPERATION, &operation);
 	ber = operation->o_ber;
@@ -58,7 +58,7 @@ do_delete( Slapi_PBlock *pb )
 	 */
 
 	if ( ber_scanf( pb->pb_op->o_ber, "a", &rawdn ) == LBER_ERROR ) {
-		LDAPDebug( LDAP_DEBUG_ANY,
+		LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
 		    "ber_scanf failed (op=Delete; params=DN)\n", 0, 0, 0 );
 		op_shared_log_error_access (pb, "DEL", "???", "decoding error");
 		send_ldap_result( pb, LDAP_PROTOCOL_ERROR, NULL, NULL, 0,
diff --git a/ldap/servers/slapd/detach.c b/ldap/servers/slapd/detach.c
index 102ce33..a6f4ec4 100644
--- a/ldap/servers/slapd/detach.c
+++ b/ldap/servers/slapd/detach.c
@@ -225,7 +225,7 @@ static void raise_process_fd_limits(void)
 	if ( getrlimit( RLIMIT_NOFILE, &rl ) != 0 ) {
 		int oserr = errno;
 
-		LDAPDebug( LDAP_DEBUG_ANY,
+		LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
 		    "getrlimit of descriptor limit failed - error %d (%s)\n",
 		    oserr, slapd_system_strerror( oserr ), 0 );
 		return;
@@ -247,7 +247,7 @@ static void raise_process_fd_limits(void)
 		if ( setrlimit( RLIMIT_NOFILE, &setrl ) != 0 ) {
 			int oserr = errno;
 
-			LDAPDebug( LDAP_DEBUG_ANY, "setrlimit of descriptor "
+			LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "setrlimit of descriptor "
 			    "limit to %d failed - error %d (%s)\n",
 			    setrl.rlim_cur, oserr,
 			    slapd_system_strerror(oserr));
@@ -256,7 +256,7 @@ static void raise_process_fd_limits(void)
 	}
 		    
 	(void)getrlimit( RLIMIT_NOFILE, &rl );
-	LDAPDebug( LDAP_DEBUG_TRACE, "descriptor limit changed from %d to %d\n",
+	LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "descriptor limit changed from %d to %d\n",
 	    curlim, rl.rlim_cur, 0 );
 }
 
@@ -274,11 +274,11 @@ raise_process_limits()
 	if (getrlimit(RLIMIT_DATA,&rl) == 0) {
 	    rl.rlim_cur = rl.rlim_max;
 	    if (setrlimit(RLIMIT_DATA,&rl) != 0) {
-	        LDAPDebug(LDAP_DEBUG_TRACE,"setrlimit(RLIMIT_DATA) failed %d\n",
+	        LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG,"setrlimit(RLIMIT_DATA) failed %d\n",
 			  errno,0,0);
 	    }
 	} else {
-	    LDAPDebug(LDAP_DEBUG_TRACE,"getrlimit(RLIMIT_DATA) failed %d\n",
+	    LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG,"getrlimit(RLIMIT_DATA) failed %d\n",
 		      errno,0,0);
 	}
 #endif
@@ -287,11 +287,11 @@ raise_process_limits()
 	if (getrlimit(RLIMIT_VMEM,&rl) == 0) {
 	    rl.rlim_cur = rl.rlim_max;
 	    if (setrlimit(RLIMIT_VMEM,&rl) != 0) {
-	        LDAPDebug(LDAP_DEBUG_TRACE,"setrlimit(RLIMIT_VMEM) failed %d\n",
+	        LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG,"setrlimit(RLIMIT_VMEM) failed %d\n",
 			  errno,0,0);
 	    }
 	} else {
-	    LDAPDebug(LDAP_DEBUG_TRACE,"getrlimit(RLIMIT_VMEM) failed %d\n",
+	    LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG,"getrlimit(RLIMIT_VMEM) failed %d\n",
 		      errno,0,0);
 	}
 #endif /* RLIMIT_VMEM */
diff --git a/ldap/servers/slapd/dn.c b/ldap/servers/slapd/dn.c
index 445c3c2..1767073 100644
--- a/ldap/servers/slapd/dn.c
+++ b/ldap/servers/slapd/dn.c
@@ -340,7 +340,7 @@ substr_dn_normalize_orig( char *dn, char *end )
 			} else if ( *s == '"' ) {
 				state = B4SEPARATOR;
 				if (!value) {
-					LDAPDebug( LDAP_DEBUG_ANY,
+					LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
 						"slapi_dn_normalize - missing value\n", 0, 0, 0 );
 					break;
 				}
@@ -390,7 +390,7 @@ substr_dn_normalize_orig( char *dn, char *end )
 			}
 			break;
 		default:
-			LDAPDebug( LDAP_DEBUG_ANY,
+			LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
 				"slapi_dn_normalize - unknown state %d\n", state, 0, 0 );
 			break;
 		}
@@ -1073,7 +1073,7 @@ slapi_dn_normalize_ext(char *src, size_t src_len, char **dest, size_t *dest_len)
             }
             break;
         default:
-            LDAPDebug( LDAP_DEBUG_ANY,
+            LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                 "slapi_dn_normalize_ext - unknown state %d\n", state, 0, 0 );
             break;
         }
@@ -1365,9 +1365,9 @@ rdn_av_swap( struct berval *av1, struct berval *av2, int escape )
 char *
 slapi_dn_normalize_original( char *dn )
 {
-	/* LDAPDebug( LDAP_DEBUG_TRACE, "=> slapi_dn_normalize \"%s\"\n", dn, 0, 0 ); */
+	/* LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "=> slapi_dn_normalize \"%s\"\n", dn, 0, 0 ); */
 	*(substr_dn_normalize_orig( dn, dn + strlen( dn ))) = '\0';
-	/* LDAPDebug( LDAP_DEBUG_TRACE, "<= slapi_dn_normalize \"%s\"\n", dn, 0, 0 ); */
+	/* LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "<= slapi_dn_normalize \"%s\"\n", dn, 0, 0 ); */
 
 	return( dn );
 }
@@ -1376,9 +1376,9 @@ slapi_dn_normalize_original( char *dn )
 char *
 slapi_dn_normalize_case_original( char *dn )
 {
-	/* LDAPDebug( LDAP_DEBUG_TRACE, "=> slapi_dn_normalize \"%s\"\n", dn, 0, 0 ); */
+	/* LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "=> slapi_dn_normalize \"%s\"\n", dn, 0, 0 ); */
 	*(substr_dn_normalize_orig( dn, dn + strlen( dn ))) = '\0';
-	/* LDAPDebug( LDAP_DEBUG_TRACE, "<= slapi_dn_normalize \"%s\"\n", dn, 0, 0 ); */
+	/* LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "<= slapi_dn_normalize \"%s\"\n", dn, 0, 0 ); */
 
 	/* normalize case */
 	return( slapi_dn_ignore_case( dn ));
@@ -1392,9 +1392,9 @@ slapi_dn_normalize_case_original( char *dn )
 char *
 slapi_dn_normalize( char *dn )
 {
-	/* LDAPDebug( LDAP_DEBUG_TRACE, "=> slapi_dn_normalize \"%s\"\n", dn, 0, 0 ); */
+	/* LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "=> slapi_dn_normalize \"%s\"\n", dn, 0, 0 ); */
     *(substr_dn_normalize( dn, dn + strlen( dn ))) = '\0';
-	/* LDAPDebug( LDAP_DEBUG_TRACE, "<= slapi_dn_normalize \"%s\"\n", dn, 0, 0 ); */
+	/* LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "<= slapi_dn_normalize \"%s\"\n", dn, 0, 0 ); */
     return dn;
 }
 
@@ -2730,7 +2730,7 @@ slapi_moddn_get_newdn(Slapi_DN *dn_olddn, const char *newrdn, const char *newsup
 static void
 sdn_dump( const Slapi_DN *sdn, const char *text)
 {
-    LDAPDebug( LDAP_DEBUG_ANY, "SDN %s ptr=%lx dn=%s\n", text, sdn, (sdn->dn==NULL?"NULL":sdn->dn));
+    LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "SDN %s ptr=%lx dn=%s\n", text, sdn, (sdn->dn==NULL?"NULL":sdn->dn));
 }
 #endif
 
diff --git a/ldap/servers/slapd/dse.c b/ldap/servers/slapd/dse.c
index 3541e1c..9317108 100644
--- a/ldap/servers/slapd/dse.c
+++ b/ldap/servers/slapd/dse.c
@@ -2332,7 +2332,7 @@ dse_add(Slapi_PBlock *pb) /* JCM There should only be one exit point from this f
     if(dse_call_callback(pdse, pb, SLAPI_OPERATION_ADD, DSE_FLAG_PREOP, e,
                          NULL, &returncode, returntext)!=SLAPI_DSE_CALLBACK_OK) {
         if (!returncode) {
-            LDAPDebug( LDAP_DEBUG_ANY, "dse_add: DSE PREOP callback returned error but did not set returncode\n", 0, 0, 0 );
+            LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "dse_add: DSE PREOP callback returned error but did not set returncode\n", 0, 0, 0 );
             returncode = LDAP_OPERATIONS_ERROR;
         }
         rc = returncode;
diff --git a/ldap/servers/slapd/dynalib.c b/ldap/servers/slapd/dynalib.c
index e3d00ee..d112564 100644
--- a/ldap/servers/slapd/dynalib.c
+++ b/ldap/servers/slapd/dynalib.c
@@ -124,17 +124,17 @@ symload_report_error( const char *libpath, char *symbol, char *plugin, int libop
 	if ( errlen > 0 ) {
 		errtext = slapi_ch_malloc( errlen+1 );
 		if ( PR_GetErrorText( errtext ) > 0 ) {
-			LDAPDebug( LDAP_DEBUG_ANY, SLAPI_COMPONENT_NAME_NSPR " error %d: %s\n",
+			LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, SLAPI_COMPONENT_NAME_NSPR " error %d: %s\n",
 				PR_GetError(), errtext, 0 );
 		}
 		slapi_ch_free( (void **)&errtext );
 	}
 	if ( libopen ) {
-		LDAPDebug( LDAP_DEBUG_ANY,
+		LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
 			"Could not load symbol \"%s\" from \"%s\" for plugin %s\n",
 					symbol, libpath, plugin );
 	} else {
-		LDAPDebug( LDAP_DEBUG_ANY,
+		LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
 			"Could not open library \"%s\" for plugin %s\n",
 			libpath, plugin, 0 );
 	}
diff --git a/ldap/servers/slapd/entry.c b/ldap/servers/slapd/entry.c
index 0abfde8..8bbf0c4 100644
--- a/ldap/servers/slapd/entry.c
+++ b/ldap/servers/slapd/entry.c
@@ -245,7 +245,7 @@ str2entry_fast( const char *rawdn, const Slapi_RDN *srdn, char *s, int flags, in
 	 * In case an entry starts with rdn:, dn must be provided.
 	 */
 
-	LDAPDebug( LDAP_DEBUG_TRACE, "=> str2entry_fast\n", 0, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "=> str2entry_fast\n", 0, 0, 0 );
 
 	e = slapi_entry_alloc();
 	slapi_entry_init(e,NULL,NULL);
@@ -375,7 +375,7 @@ str2entry_fast( const char *rawdn, const Slapi_RDN *srdn, char *s, int flags, in
 		if ( type.bv_len == SLAPI_ATTR_DN_LENGTH && PL_strncasecmp( type.bv_val, SLAPI_ATTR_DN, type.bv_len ) == 0 ) {
 			if ( slapi_entry_get_dn_const(e)!=NULL ) {
 				char ebuf[ BUFSIZ ];
-				LDAPDebug( LDAP_DEBUG_TRACE,
+				LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG,
 					"str2entry_fast: entry has multiple dns \"%s\" and "
 					"\"%s\" (second ignored)\n",
 					slapi_entry_get_dn_const(e),
@@ -427,7 +427,7 @@ str2entry_fast( const char *rawdn, const Slapi_RDN *srdn, char *s, int flags, in
 		/* retrieve uniqueid */
 		if ((type.bv_len == SLAPI_ATTR_UNIQUEID_LENGTH) && (PL_strcasecmp (type.bv_val, SLAPI_ATTR_UNIQUEID) == 0)) {
 			if (e->e_uniqueid != NULL){
-				LDAPDebug (LDAP_DEBUG_TRACE, 
+				LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, 
 						   "str2entry_fast: entry has multiple uniqueids %s "
 						   "and %s (second ignored)\n",
 						   e->e_uniqueid, value.bv_val, 0);
@@ -459,7 +459,7 @@ str2entry_fast( const char *rawdn, const Slapi_RDN *srdn, char *s, int flags, in
 				case ATTRIBUTE_PRESENT:
 					if(attrlist_append_nosyntax_init(&e->e_attrs, type.bv_val, &a)==0 /* Found */)
 					{
-						LDAPDebug (LDAP_DEBUG_ANY, "str2entry_fast: Error. Non-contiguous attribute values for %s\n", type.bv_val, 0, 0);
+						LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "str2entry_fast: Error. Non-contiguous attribute values for %s\n", type.bv_val, 0, 0);
 						PR_ASSERT(0);
 						continue;
 					}
@@ -467,13 +467,13 @@ str2entry_fast( const char *rawdn, const Slapi_RDN *srdn, char *s, int flags, in
 				case ATTRIBUTE_DELETED:
 					if(attrlist_append_nosyntax_init(&e->e_deleted_attrs, type.bv_val, &a)==0 /* Found */)
 					{
-						LDAPDebug (LDAP_DEBUG_ANY, "str2entry_fast: Error. Non-contiguous deleted attribute values for %s\n", type.bv_val, 0, 0);
+						LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "str2entry_fast: Error. Non-contiguous deleted attribute values for %s\n", type.bv_val, 0, 0);
 						PR_ASSERT(0);
 						continue;
 					}
 					break;
 				case ATTRIBUTE_NOTFOUND:
-					LDAPDebug (LDAP_DEBUG_ANY, "str2entry_fast: Error. Non-contiguous deleted attribute values for %s\n", type.bv_val, 0, 0);
+					LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "str2entry_fast: Error. Non-contiguous deleted attribute values for %s\n", type.bv_val, 0, 0);
 					PR_ASSERT(0);
 					continue;
 					/* break; ??? */
@@ -560,7 +560,7 @@ str2entry_fast( const char *rawdn, const Slapi_RDN *srdn, char *s, int flags, in
 	slapi_ch_free_string(&ptype);
 	if ( attr_val_cnt >= ENTRY_MAX_ATTRIBUTE_VALUE_COUNT )
 	{
-		LDAPDebug( LDAP_DEBUG_ANY,
+		LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
 		    "str2entry_fast: entry %s exceeded max attribute value cound %ld\n",
 			slapi_entry_get_dn_const(e)?slapi_entry_get_dn_const(e):"unknown",
 			attr_val_cnt, 0 );
@@ -591,7 +591,7 @@ str2entry_fast( const char *rawdn, const Slapi_RDN *srdn, char *s, int flags, in
 	/* check to make sure there was a dn: line */
 	if ( slapi_entry_get_dn_const(e)==NULL ) {
 		if (!(SLAPI_STR2ENTRY_INCLUDE_VERSION_STR & flags))
-			LDAPDebug( LDAP_DEBUG_ANY, "str2entry_fast: entry has no dn\n",
+			LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "str2entry_fast: entry has no dn\n",
 									   0, 0, 0 );
 		slapi_entry_free( e );
 		e = NULL;
@@ -601,7 +601,7 @@ done:
 	csnset_free(&valuecsnset);
 	csn_free(&attributedeletioncsn);
 	csn_free(&maxcsn);
-	LDAPDebug( LDAP_DEBUG_TRACE, "<= str2entry_fast 0x%x\n",
+	LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "<= str2entry_fast 0x%x\n",
 		e, 0, 0 );
 	return( e );
 }
@@ -825,7 +825,7 @@ str2entry_dupcheck( const char *rawdn, char *s, int flags, int read_stateinfo )
 		bvtype = bv_null;
 		bvvalue = bv_null;
 		if ( slapi_ldif_parse_line( s, &bvtype, &bvvalue, &freeval ) < 0 ) {
-		    LDAPDebug(LDAP_DEBUG_ANY,
+		    LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
 		                  "Warning: Entry (%s), ignoring invalid line \"%s\"...\n",
 		                  rawdn ? rawdn : "", s, 0);
 		    continue;
@@ -908,7 +908,7 @@ str2entry_dupcheck( const char *rawdn, char *s, int flags, int read_stateinfo )
 		if ( strcasecmp( type, "dn" ) == 0 ) {
 			if ( slapi_entry_get_dn_const(e)!=NULL ) {
 				char ebuf[ BUFSIZ ];
-				LDAPDebug( LDAP_DEBUG_TRACE,
+				LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG,
 					"str2entry_dupcheck: entry has multiple dns \"%s\" "
 					"and \"%s\" (second ignored)\n",
 					slapi_entry_get_dn_const(e),
@@ -951,7 +951,7 @@ str2entry_dupcheck( const char *rawdn, char *s, int flags, int read_stateinfo )
 		/* retrieve uniqueid */
 		if ((bvtype.bv_len == SLAPI_ATTR_UNIQUEID_LENGTH) && (PL_strcasecmp (type, SLAPI_ATTR_UNIQUEID) == 0)) {
 			if (e->e_uniqueid != NULL){
-				LDAPDebug (LDAP_DEBUG_TRACE, 
+				LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, 
 						   "str2entry_dupcheck: entry has multiple uniqueids %s "
 						   "and %s (second ignored)\n", 
 						   e->e_uniqueid, valuecharptr, 0);
@@ -1138,7 +1138,7 @@ str2entry_dupcheck( const char *rawdn, char *s, int flags, int read_stateinfo )
 		else
 		{
 		    /* Failure adding to value tree */
-		    LDAPDebug( LDAP_DEBUG_ANY, "str2entry_dupcheck: unexpected failure %d adding value\n", rc, 0, 0 );
+		    LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "str2entry_dupcheck: unexpected failure %d adding value\n", rc, 0, 0 );
 		    slapi_value_free(&value); /* value not consumed - free it */
 		    slapi_entry_free( e ); e = NULL;
 		    goto free_and_return;
@@ -1152,7 +1152,7 @@ str2entry_dupcheck( const char *rawdn, char *s, int flags, int read_stateinfo )
     if ( slapi_entry_get_dn_const(e)==NULL )
     {
 		if (!(SLAPI_STR2ENTRY_INCLUDE_VERSION_STR & flags))
-	    	LDAPDebug( LDAP_DEBUG_ANY, "str2entry_dupcheck: entry has no dn\n",
+	    	LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "str2entry_dupcheck: entry has no dn\n",
 									   0, 0, 0 );
 	    slapi_entry_free( e ); e = NULL;
 	    goto free_and_return;
@@ -1173,11 +1173,11 @@ str2entry_dupcheck( const char *rawdn, char *s, int flags, int read_stateinfo )
 		if ( sa->sa_numdups > 0 )
 		{
 		    if ( sa->sa_numdups > 1 ) {
-				LDAPDebug( LDAP_DEBUG_ANY, "str2entry_dupcheck: %d duplicate values for attribute "
+				LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "str2entry_dupcheck: %d duplicate values for attribute "
 					"type %s detected in entry %s. Extra values ignored.\n",
 					sa->sa_numdups, sa->sa_type, slapi_entry_get_dn_const(e) );
 		    } else {
-				LDAPDebug( LDAP_DEBUG_ANY, "str2entry_dupcheck: Duplicate value for attribute "
+				LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "str2entry_dupcheck: Duplicate value for attribute "
 					"type %s detected in entry %s. Extra value ignored.\n",
 					sa->sa_type, slapi_entry_get_dn_const(e), 0 );
 		    }
@@ -1249,7 +1249,7 @@ str2entry_dupcheck( const char *rawdn, char *s, int flags, int read_stateinfo )
     /* Add the RDN values, if asked, and if not already present */
     if ( flags & SLAPI_STR2ENTRY_ADDRDNVALS ) {
         if ( slapi_entry_add_rdn_values( e ) != LDAP_SUCCESS ) {
-            LDAPDebug( LDAP_DEBUG_TRACE,
+            LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG,
                        "str2entry_dupcheck: entry has badly formatted dn\n",
                        0, 0, 0 );
             slapi_entry_free( e ); e = NULL;
@@ -1281,7 +1281,7 @@ free_and_return:
 	csn_free(&attributedeletioncsn);
 	csn_free(&maxcsn);
 
-	LDAPDebug( LDAP_DEBUG_TRACE, "<= str2entry_dupcheck 0x%x \"%s\"\n",
+	LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "<= str2entry_dupcheck 0x%x \"%s\"\n",
 		e, slapi_sdn_get_dn (slapi_entry_get_sdn_const(e)), 0 );
     return e;
 }
@@ -1332,7 +1332,7 @@ slapi_str2entry( char *s, int flags )
 	Slapi_Entry *e;
 	int read_stateinfo= ~( flags & SLAPI_STR2ENTRY_IGNORE_STATE );
 
-	LDAPDebug( LDAP_DEBUG_ARGS,
+	LDAPDebug(LDAP_DEBUG_ARGS, LOG_DEBUG,
 			"slapi_str2entry: flags=0x%x, entry=\"%.50s...\"\n",
 			flags, s, 0 );
 
@@ -1393,7 +1393,7 @@ slapi_str2entry_ext( const char *normdn, const Slapi_RDN *srdn, char *s, int fla
 		return slapi_str2entry( s, flags );
 	}
 
-	LDAPDebug( LDAP_DEBUG_ARGS,
+	LDAPDebug(LDAP_DEBUG_ARGS, LOG_DEBUG,
 			"slapi_str2entry_ext: flags=0x%x, dn=\"%s\", entry=\"%.50s...\"\n",
 			flags, normdn, s );
 
@@ -2173,7 +2173,7 @@ static void
 entry_dump( const Slapi_Entry *e, const char *text)
 {
 	const char *dn= slapi_entry_get_dn_const(e);
-    LDAPDebug( LDAP_DEBUG_ANY, "Entry %s ptr=%lx dn=%s\n", text, e, (dn==NULL?"NULL":dn));
+    LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Entry %s ptr=%lx dn=%s\n", text, e, (dn==NULL?"NULL":dn));
 }
 #endif
 
@@ -3281,7 +3281,7 @@ slapi_entry_add_rdn_values( Slapi_Entry *e )
                 if ((ava.ava_value.bv_len != bv->bv_len) ||
                     (memcmp(ava.ava_value.bv_val, bv->bv_val, bv->bv_len) != 0)) {
                     /* bytes not identical so reject */
-                    LDAPDebug(LDAP_DEBUG_TRACE, "RDN value is not identical to entry value for type %s in entry %s\n", 
+                    LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "RDN value is not identical to entry value for type %s in entry %s\n", 
                                type, dn ? dn : "<null>", 0 );
 #if 0
                     /* 
@@ -3327,7 +3327,7 @@ slapi_entry_has_children_ext(const Slapi_Entry *entry, int include_tombstone)
 	Slapi_Attr *attr;
 	int count = 0;
 
-	LDAPDebug( LDAP_DEBUG_TRACE, "=> slapi_has_children( %s )\n", slapi_entry_get_dn_const(entry), 0, 0);
+	LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "=> slapi_has_children( %s )\n", slapi_entry_get_dn_const(entry), 0, 0);
 
 	/*If the subordinatecount exists, and it's nonzero, then return 1.*/
 	if (slapi_entry_attr_find( entry, "numsubordinates", &attr) == 0)
@@ -3367,7 +3367,7 @@ slapi_entry_has_children_ext(const Slapi_Entry *entry, int include_tombstone)
 			}
 		}
 	}
-	LDAPDebug( LDAP_DEBUG_TRACE, "<= slapi_has_children 0\n", 0, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "<= slapi_has_children 0\n", 0, 0, 0 );
 	return(0);
 }
 
@@ -3388,7 +3388,7 @@ slapi_entry_rename(Slapi_Entry *e, const char *newrdn, int deleteoldrdn, Slapi_D
     Slapi_Mods *smods = NULL;
     Slapi_DN newsrdn;
 
-    LDAPDebug( LDAP_DEBUG_TRACE, "=> slapi_entry_rename\n", 0, 0, 0 );
+    LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "=> slapi_entry_rename\n", 0, 0, 0 );
 
     slapi_sdn_init(&newsrdn);
     /* Check if entry or newrdn are NULL. */
@@ -3462,7 +3462,7 @@ done:
     slapi_mods_free(&smods);
     slapi_sdn_done(&newsrdn);
 
-    LDAPDebug( LDAP_DEBUG_TRACE, "<= slapi_entry_rename\n", 0, 0, 0 );
+    LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "<= slapi_entry_rename\n", 0, 0, 0 );
     return err;
 }
 
@@ -3495,7 +3495,7 @@ entry_apply_mods_ignore_error( Slapi_Entry *e, LDAPMod **mods, int ignore_error
 	int	err;
 	LDAPMod **mp = NULL;
 
-	LDAPDebug( LDAP_DEBUG_TRACE, "=> entry_apply_mods\n", 0, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "=> entry_apply_mods\n", 0, 0, 0 );
 
 	err = LDAP_SUCCESS;
 	for ( mp = mods; mp && *mp; mp++ )
@@ -3508,7 +3508,7 @@ entry_apply_mods_ignore_error( Slapi_Entry *e, LDAPMod **mods, int ignore_error
 		}
 	}
 
-	LDAPDebug( LDAP_DEBUG_TRACE, "<= entry_apply_mods %d\n", err, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "<= entry_apply_mods %d\n", err, 0, 0 );
 	return( err );
 }
 
@@ -3660,7 +3660,7 @@ entry_apply_mod( Slapi_Entry *e, const LDAPMod *mod )
 	  if((strcasecmp(mod->mod_type,"objectclass") == 0)  
               && (strncasecmp((const char *)mod->mod_bvalues[i]->bv_val,"ldapsubentry",mod->mod_bvalues[i]->bv_len) == 0)) 
 	    sawsubentry=PR_TRUE;
-	  LDAPDebug( LDAP_DEBUG_ARGS, "   %s: %s\n", mod->mod_type, mod->mod_bvalues[i]->bv_val, 0 );
+	  LDAPDebug(LDAP_DEBUG_ARGS, LOG_DEBUG, "   %s: %s\n", mod->mod_type, mod->mod_bvalues[i]->bv_val, 0 );
 	}
 	bvcnt = i;
 
@@ -3682,24 +3682,24 @@ entry_apply_mod( Slapi_Entry *e, const LDAPMod *mod )
 	switch ( mod->mod_op & ~LDAP_MOD_BVALUES )
 	{
 	case LDAP_MOD_ADD:
-		LDAPDebug( LDAP_DEBUG_ARGS, "   add: %s\n", mod->mod_type, 0, 0 );
+		LDAPDebug(LDAP_DEBUG_ARGS, LOG_DEBUG, "   add: %s\n", mod->mod_type, 0, 0 );
 		if(sawsubentry) e->e_flags |= SLAPI_ENTRY_LDAPSUBENTRY;
 		err = slapi_entry_add_values( e, mod->mod_type, mod->mod_bvalues );
 		break;
 
 	case LDAP_MOD_DELETE:
-		LDAPDebug( LDAP_DEBUG_ARGS, "   delete: %s\n", mod->mod_type, 0, 0 );
+		LDAPDebug(LDAP_DEBUG_ARGS, LOG_DEBUG, "   delete: %s\n", mod->mod_type, 0, 0 );
 		if(sawsubentry) e->e_flags |= 0;
 		err = slapi_entry_delete_values( e, mod->mod_type, mod->mod_bvalues );
 		break;
 
 	case LDAP_MOD_REPLACE:
-		LDAPDebug( LDAP_DEBUG_ARGS, "   replace: %s\n", mod->mod_type, 0, 0 );
+		LDAPDebug(LDAP_DEBUG_ARGS, LOG_DEBUG, "   replace: %s\n", mod->mod_type, 0, 0 );
 		err = entry_replace_values( e, mod->mod_type, mod->mod_bvalues );
 		break;
 	}
 done:
-	LDAPDebug( LDAP_DEBUG_ARGS, "   -\n", 0, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_ARGS, LOG_DEBUG, "   -\n", 0, 0, 0 );
 
 	return( err );
 }
@@ -3823,7 +3823,7 @@ delete_values_sv_internal(
 
 	/* delete the entire attribute */
 	if ( valuestodelete == NULL || valuestodelete[0] == NULL ){
-		LDAPDebug( LDAP_DEBUG_ARGS, "removing entire attribute %s\n",
+		LDAPDebug(LDAP_DEBUG_ARGS, LOG_DEBUG, "removing entire attribute %s\n",
 		    type, 0, 0 );
 		retVal = attrlist_delete( &e->e_attrs, type);
 		if (flags & SLAPI_VALUE_FLAG_IGNOREERROR) {
@@ -3835,7 +3835,7 @@ delete_values_sv_internal(
 	/* delete specific values - find the attribute first */
 	a= attrlist_find(e->e_attrs, type);
 	if ( a == NULL ) {
-		LDAPDebug( LDAP_DEBUG_ARGS, "could not find attribute %s\n",
+		LDAPDebug(LDAP_DEBUG_ARGS, LOG_DEBUG, "could not find attribute %s\n",
 		    type, 0, 0 );
 		if (flags & SLAPI_VALUE_FLAG_IGNOREERROR) {
 			return LDAP_SUCCESS;
@@ -3864,7 +3864,7 @@ delete_values_sv_internal(
 			 */
 			if ( retVal==LDAP_OPERATIONS_ERROR )
 			{
-				LDAPDebug( LDAP_DEBUG_ANY, "Possible existing duplicate "
+				LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Possible existing duplicate "
 					"value for attribute type %s found in "
 					"entry %s\n", a->a_type, slapi_entry_get_dn_const(e), 0 );
 			}
@@ -4031,7 +4031,7 @@ slapi_entry_diff(Slapi_Mods *smods, Slapi_Entry *e1, Slapi_Entry *e2, int diff_c
                                                slapi_value_get_berval(e1_val)))
                 {
                     /* attr-value e1_val not found in e2_attr; add it */
-                    LDAPDebug(LDAP_DEBUG_TRACE,
+                    LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG,
                         "slapi_entry_diff: attr-val of %s is not in e2; "
                         "add it\n",
                         e1_attr_name, 0, 0);
@@ -4043,7 +4043,7 @@ slapi_entry_diff(Slapi_Mods *smods, Slapi_Entry *e1, Slapi_Entry *e2, int diff_c
         else
         {
             /* attr e1_attr_names not found in e2 */
-            LDAPDebug(LDAP_DEBUG_TRACE,
+            LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG,
                       "slapi_entry_diff: attr %s is not in e2; add it\n",
                       e1_attr_name, 0, 0);
             slapi_mods_add_mod_values(smods, LDAP_MOD_ADD,
@@ -4077,7 +4077,7 @@ slapi_entry_diff(Slapi_Mods *smods, Slapi_Entry *e1, Slapi_Entry *e2, int diff_c
                                                slapi_value_get_berval(e2_val)))
                 {
                     /* attr-value e2_val not found in e1_attr; delete it */
-                    LDAPDebug(LDAP_DEBUG_TRACE,
+                    LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG,
                         "slapi_entry_diff: attr-val of %s is not in e1; "
                         "delete it\n",
                         e2_attr_name, 0, 0);
@@ -4089,7 +4089,7 @@ slapi_entry_diff(Slapi_Mods *smods, Slapi_Entry *e1, Slapi_Entry *e2, int diff_c
         else
         {
             /* attr e2_attr_names not in e1 */
-            LDAPDebug(LDAP_DEBUG_TRACE,
+            LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG,
                       "slapi_entry_diff: attr %s is not in e1; delete it\n",
                       e2_attr_name, 0, 0);
             slapi_mods_add_mod_values(smods, LDAP_MOD_DELETE, e2_attr_name, NULL);
@@ -4184,7 +4184,7 @@ slapi_entries_diff(Slapi_Entry **old_entries, Slapi_Entry **curr_entries,
                     rval = 1;
                     if (isfirst)
                     {
-                        LDAPDebug(LDAP_DEBUG_ANY, "%sEntry %s\n", my_logging_prestr,
+                        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "%sEntry %s\n", my_logging_prestr,
                                   slapi_entry_get_dn_const(*oep), 0);
                         isfirst = 0;
                     }
@@ -4192,23 +4192,23 @@ slapi_entries_diff(Slapi_Entry **old_entries, Slapi_Entry **curr_entries,
                     switch (mod->mod_op & ~LDAP_MOD_BVALUES)
                     {
                     case LDAP_MOD_DELETE:
-                        LDAPDebug(LDAP_DEBUG_ANY,
+                        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                                   "  Del Attribute %s Value %s\n",
                                   mod->mod_type, mod->mod_bvalues?
                                   mod->mod_bvalues[0]->bv_val:"N/A", 0);
                         break;
                     case LDAP_MOD_ADD:
-                        LDAPDebug(LDAP_DEBUG_ANY, 
+                        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, 
                                   "  Add Attribute %s Value %s\n",
                                   mod->mod_type, mod->mod_bvalues[0]->bv_val, 0);
                         break;
                     case LDAP_MOD_REPLACE:
-                        LDAPDebug(LDAP_DEBUG_ANY,
+                        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                                   "  Rep Attribute %s Value %s\n",
                                   mod->mod_type, mod->mod_bvalues[0]->bv_val, 0);
                         break;
                     default:
-                        LDAPDebug(LDAP_DEBUG_ANY,
+                        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                                   "  Unknown op %d Attribute %s\n",
                                   mod->mod_op & ~LDAP_MOD_BVALUES,
                                   mod->mod_type, 0);
@@ -4245,7 +4245,7 @@ slapi_entries_diff(Slapi_Entry **old_entries, Slapi_Entry **curr_entries,
             slapi_entry_clear_flag(*oep, SLAPI_ENTRY_FLAG_DIFF_IN_BOTH);
         } else {
             rval = 1;
-            LDAPDebug(LDAP_DEBUG_ANY, "Add %sEntry %s\n", 
+            LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Add %sEntry %s\n", 
                       my_logging_prestr, slapi_entry_get_dn_const(*oep), 0);
             if (testall)
             {
@@ -4274,7 +4274,7 @@ slapi_entries_diff(Slapi_Entry **old_entries, Slapi_Entry **curr_entries,
         } else {
             rval = 1;
 
-            LDAPDebug(LDAP_DEBUG_ANY, "Del %sEntry %s\n",
+            LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Del %sEntry %s\n",
                       my_logging_prestr, slapi_entry_get_dn_const(*cep), 0);
 
             if (testall)
diff --git a/ldap/servers/slapd/entrywsi.c b/ldap/servers/slapd/entrywsi.c
index a8f8455..3f53521 100644
--- a/ldap/servers/slapd/entrywsi.c
+++ b/ldap/servers/slapd/entrywsi.c
@@ -676,7 +676,7 @@ entry_delete_present_values_wsi_single_valued(Slapi_Entry *e, const char *type,
 	if ( vals == NULL || vals[0] == NULL )
 	{
 		/* delete the entire attribute */
-		LDAPDebug( LDAP_DEBUG_ARGS, "removing entire attribute %s\n", type, 0, 0 );
+		LDAPDebug(LDAP_DEBUG_ARGS, LOG_DEBUG, "removing entire attribute %s\n", type, 0, 0 );
 		attr_set_deletion_csn(a,csn);
 		if(urp)
 		{
@@ -746,7 +746,7 @@ entry_delete_present_values_wsi_single_valued(Slapi_Entry *e, const char *type,
 				 */
 				if ( retVal==LDAP_OPERATIONS_ERROR )
 				{
-					LDAPDebug( LDAP_DEBUG_ANY, "Possible existing duplicate "
+					LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Possible existing duplicate "
 						"value for attribute type %s found in "
 						"entry %s\n", a->a_type, slapi_entry_get_dn_const(e), 0 );
 				}
@@ -766,7 +766,7 @@ entry_delete_present_values_wsi_multi_valued(Slapi_Entry *e, const char *type, s
 		if ( vals == NULL || vals[0] == NULL )
 		{
 			/* delete the entire attribute */
-			LDAPDebug( LDAP_DEBUG_ARGS, "removing entire attribute %s\n", type, 0, 0 );
+			LDAPDebug(LDAP_DEBUG_ARGS, LOG_DEBUG, "removing entire attribute %s\n", type, 0, 0 );
 			attr_set_deletion_csn(a,csn);
 			if(urp)
 			{
@@ -855,7 +855,7 @@ entry_delete_present_values_wsi_multi_valued(Slapi_Entry *e, const char *type, s
 					 */
 					if ( retVal==LDAP_OPERATIONS_ERROR )
 					{
-						LDAPDebug( LDAP_DEBUG_ANY, "Possible existing duplicate "
+						LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Possible existing duplicate "
 						           "value for attribute type %s found in "
 						           "entry %s\n", a->a_type, slapi_entry_get_dn_const(e), 0 );
 					}
@@ -902,17 +902,17 @@ entry_apply_mod_wsi(Slapi_Entry *e, const LDAPMod *mod, const CSN *csn, int urp)
 	switch ( mod->mod_op & ~LDAP_MOD_BVALUES )
 	{
 	case LDAP_MOD_ADD:
-		LDAPDebug( LDAP_DEBUG_ARGS, "   add: %s\n", mod->mod_type, 0, 0 );
+		LDAPDebug(LDAP_DEBUG_ARGS, LOG_DEBUG, "   add: %s\n", mod->mod_type, 0, 0 );
 		retVal = entry_add_present_values_wsi( e, mod->mod_type, mod->mod_bvalues, csn, urp, 0 );
 		break;
 
 	case LDAP_MOD_DELETE:
-		LDAPDebug( LDAP_DEBUG_ARGS, "   delete: %s\n", mod->mod_type, 0, 0 );
+		LDAPDebug(LDAP_DEBUG_ARGS, LOG_DEBUG, "   delete: %s\n", mod->mod_type, 0, 0 );
 		retVal = entry_delete_present_values_wsi( e, mod->mod_type, mod->mod_bvalues, csn, urp, mod->mod_op, NULL );
 		break;
 
 	case LDAP_MOD_REPLACE:
-		LDAPDebug( LDAP_DEBUG_ARGS, "   replace: %s\n", mod->mod_type, 0, 0 );
+		LDAPDebug(LDAP_DEBUG_ARGS, LOG_DEBUG, "   replace: %s\n", mod->mod_type, 0, 0 );
 		retVal = entry_replace_present_values_wsi( e, mod->mod_type, mod->mod_bvalues, csn, urp );
 		break;
 	}
@@ -920,10 +920,10 @@ entry_apply_mod_wsi(Slapi_Entry *e, const LDAPMod *mod, const CSN *csn, int urp)
 		for ( i = 0;
 		      mod->mod_bvalues != NULL && mod->mod_bvalues[i] != NULL;
 		      i++ ) {
-			LDAPDebug( LDAP_DEBUG_ARGS, "   %s: %s\n",
+			LDAPDebug(LDAP_DEBUG_ARGS, LOG_DEBUG, "   %s: %s\n",
 			           mod->mod_type, mod->mod_bvalues[i]->bv_val, 0 );
 		}
-		LDAPDebug( LDAP_DEBUG_ARGS, "   -\n", 0, 0, 0 );
+		LDAPDebug(LDAP_DEBUG_ARGS, LOG_DEBUG, "   -\n", 0, 0, 0 );
 	}
 
 	/* 
@@ -976,7 +976,7 @@ entry_apply_mods_wsi(Slapi_Entry *e, Slapi_Mods *smods, const CSN *csn, int urp)
 		localcsn = *csn; /* make a copy */
 	}
 
-	LDAPDebug( LDAP_DEBUG_TRACE, "=> entry_apply_mods_wsi\n", 0, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "=> entry_apply_mods_wsi\n", 0, 0, 0 );
 
 	mod = slapi_mods_get_first_mod(smods);
 	while(NULL!=mod && retVal==LDAP_SUCCESS)
@@ -1000,7 +1000,7 @@ entry_apply_mods_wsi(Slapi_Entry *e, Slapi_Mods *smods, const CSN *csn, int urp)
 		mod = slapi_mods_get_next_mod(smods);
 	}
 
-	LDAPDebug( LDAP_DEBUG_TRACE, "<= entry_apply_mods_wsi %d\n", retVal, 0, 0 );	
+	LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "<= entry_apply_mods_wsi %d\n", retVal, 0, 0 );	
 	
 	return retVal;
 }
